Index: base/templates/base.vars.javascript.html
===================================================================
--- base/templates/base.vars.javascript.html	(revision 5d88f36371d3c447b6cabfbc317ae7fd4f77db0f)
+++ base/templates/base.vars.javascript.html	(revision 452668a1422716980fa74554c4eee06293113c48)
@@ -9,4 +9,8 @@
     // URL para comprobar si el firmante es el último
     var URL_ULTIMO_FIRMANTE = "{% url 'participantes:participante_restante_evento_nid' %}";
+    
+    // URL para comprobar si el documento esta siendo firmado
+    var URL_COMPROBAR_FIRMA = "{% url 'events:comprobar_evento_nid' %}";
+
             
 </script>
Index: eventos/urls.py
===================================================================
--- eventos/urls.py	(revision 2b66ea37d7afab99abed06faea5eb65f0e763125)
+++ eventos/urls.py	(revision 452668a1422716980fa74554c4eee06293113c48)
@@ -13,5 +13,7 @@
     url(r'^detail-evento/(?P<pk>\d+)$', DetailEvent.as_view(),
         name='detail_event'),
+    url(r'^comprobar-evento/(?P<event_id>\d+)$', EventoProcesado.as_view(),
+        name='comprobar_evento'),
     url(r'^comprobar-evento/$', EventoProcesado.as_view(),
-        name='comprobar_evento'),
+        name='comprobar_evento_nid'),
 ]
Index: eventos/views.py
===================================================================
--- eventos/views.py	(revision 5d88f36371d3c447b6cabfbc317ae7fd4f77db0f)
+++ eventos/views.py	(revision 452668a1422716980fa74554c4eee06293113c48)
@@ -10,4 +10,6 @@
 from django.core.urlresolvers import reverse_lazy
 from django.http import JsonResponse
+from django.utils.decorators import method_decorator
+from django.views.decorators.csrf import csrf_exempt
 from django.shortcuts import (
     redirect
@@ -184,5 +186,5 @@
         return context
 
-
+@method_decorator(csrf_exempt, name='dispatch')
 class EventoProcesado(View):
     """!
@@ -196,5 +198,5 @@
     model = Evento
 
-    def get(self, request):
+    def get(self, request, event_id):
         """!
         Metodo que permite verificar si el documento esta procesado
@@ -206,10 +208,9 @@
         @return Retorna un Json con la respuesta
         """
-        evento_id = request.GET.get('event_id', None)
         mensaje = ''
         procesando = False
-        if evento_id is not None:
+        if event_id is not None:
             try:
-                evento_pro = self.model.objects.get(pk=evento_id)
+                evento_pro = self.model.objects.get(pk=event_id)
             except:
                 print(e)
@@ -231,5 +232,5 @@
         return JsonResponse(data, safe=False)
 
-    def post(self, request):
+    def post(self, request, event_id):
         """!
         Metodo que permite cambiar el valor procesado al  evento
@@ -241,8 +242,7 @@
         @return Retorna un Json con la respuesta
         """
-        evento_id = request.POST.get('event_id', None)
-        if evento_id is not None:
+        if event_id is not None:
             try:
-                evento = self.model.objects.get(pk=evento_id)
+                evento = self.model.objects.get(pk=event_id)
                 evento.procesando = not evento.procesando
                 evento.save()
@@ -251,3 +251,3 @@
                 print(e)
                 validado = False
-        return JsonResponse(validado, safe=False)
+        return JsonResponse({'validate': validado}, safe=False)
Index: static/js/funciones.js
===================================================================
--- static/js/funciones.js	(revision 5d88f36371d3c447b6cabfbc317ae7fd4f77db0f)
+++ static/js/funciones.js	(revision 452668a1422716980fa74554c4eee06293113c48)
@@ -80,5 +80,5 @@
     }
     else{
-        html += '<a type="button" id="firmar" class="btn waves-effect blue darken-1" onclick="ObtenerCertificadoFirmanteMultiples(\''+data.documento+'\')">';
+        html += '<a type="button" id="firmar" class="btn waves-effect blue darken-1" onclick="comprobarFirma(\''+data.documento+'\')">';
         html += '<i class="material-icons left">mode_edit</i> Firmar</a>';   
     }
@@ -87,12 +87,51 @@
 
 /**
+ * Función para comprobar firma
+ * @param fileId Recibe el id del documento
+*/
+function comprobarFirma(fileId){
+    var routes = $(location).attr('pathname').split('/');
+    var pk = routes[routes.length-1];
+    $.ajax({
+		type: 'GET',
+        async: false,
+		url:URL_COMPROBAR_FIRMA+pk,
+		success: function(datos){
+            if (datos.validate==true) {
+                simple_modal(datos.mensaje);
+            }
+            else{
+                $.ajax({
+                    type: 'POST',
+                    async: false,
+                    url:URL_COMPROBAR_FIRMA+pk,
+                    success: function(datos){
+                        if (datos.validate==true) {
+                            ObtenerCertificadoFirmanteMultiples(fileId,pk);
+                        }
+                        else{
+                            simple_modal("Ocurrió un error al actualizar los datos");
+                        }
+                    },
+                    error: function(jqXHR, textStatus, errorThrown){
+                        console.log('error: ' + textStatus);
+                    }
+                });
+            }
+        },
+		error: function(jqXHR, textStatus, errorThrown){
+			console.log('error: ' + textStatus);
+		}
+	});
+}
+
+/**
  * Función para obtener el certificado del participante
  * @param fileId Recibe el id del documento
-*/
-function ObtenerCertificadoFirmanteMultiples(fileId){
+ * @param pk Recibe el id del evento
+*/
+function ObtenerCertificadoFirmanteMultiples(fileId,pk){
     var xPos = yPos= signaturePage = "";
     var lastSignature = false;
-    var routes = $(location).attr('pathname').split('/');
-    var pk = routes[routes.length-1];
     
     $.ajax({
@@ -125,5 +164,5 @@
         
                     // ahora llamar al ajax de obtener la resena del pdf
-                    ObtenerHashPDFServerMultiples(parameters, cert);	
+                    ObtenerHashPDFServerMultiples(parameters, cert, pk);	
         
                 }, 
@@ -139,4 +178,15 @@
                          error = "No hay soporte para el manejo del certificado";
                     }
+                    $.ajax({
+                        type: 'POST',
+                        async: false,
+                        url:URL_COMPROBAR_FIRMA+pk,
+                        success: function(datos){
+                            console.log(datos);
+                        },
+                        error: function(jqXHR, textStatus, errorThrown){
+                            console.log('error: ' + textStatus);
+                        }
+                    });
                     simple_modal(error);
                 }
@@ -155,6 +205,7 @@
  * @param parameters Recibe los parametros
  * @param cert Recibe los certificados
-*/
-function ObtenerHashPDFServerMultiples(parameters,cert){
+ * @param pk Recibe el id del evento
+*/
+function ObtenerHashPDFServerMultiples(parameters,cert,pk){
 
 	$.ajax({
@@ -175,5 +226,5 @@
 			window.hwcrypto.sign(cert, {type: hashtype, hex: hash}, {lang: lang}).then(
 				function(signature) {
-					FinalizarFirmaMultiples(signature.hex);
+					FinalizarFirmaMultiples(signature.hex, pk);
       			}, 
       			function(err) {
@@ -188,4 +239,15 @@
                          error = "No hay soporte para el manejo del certificado";
                      }
+                    $.ajax({
+                        type: 'POST',
+                        async: false,
+                        url:URL_COMPROBAR_FIRMA+pk,
+                        success: function(datos){
+                            console.log(datos);
+                        },
+                        error: function(jqXHR, textStatus, errorThrown){
+                            console.log('error: ' + textStatus);
+                        }
+                    });
                     simple_modal(error);
     	  	});
@@ -202,6 +264,7 @@
  * Función para enviar la firma al servidor
  * @param signature Recibe la firma
-*/
-function FinalizarFirmaMultiples(signature){
+ * @param pk Recibe el id del evento
+*/
+function FinalizarFirmaMultiples(signature, pk){
 
 	$.ajax({
@@ -215,7 +278,29 @@
 		success: function(data, textStatus, jqXHR){
             actualizar_participante(data['signedFileId']);
+            $.ajax({
+                type: 'POST',
+                async: false,
+                url:URL_COMPROBAR_FIRMA+pk,
+                success: function(datos){
+                    console.log(datos);
+                },
+                error: function(jqXHR, textStatus, errorThrown){
+                    console.log('error: ' + textStatus);
+                }
+            });
 		},
 		error: function(jqXHR, textStatus, errorThrown){
 			console.log('error en pdfs/resenas: ' + textStatus);
+            $.ajax({
+                type: 'POST',
+                async: false,
+                url:URL_COMPROBAR_FIRMA+pk,
+                success: function(datos){
+                    console.log(datos);
+                },
+                error: function(jqXHR, textStatus, errorThrown){
+                    console.log('error: ' + textStatus);
+                }
+            });
 		}
 	});